Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.util.ant
Class JUnitTestReportAggregator

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.objectweb.util.ant.JUnitTestReportAggregator

All Implemented Interfaces:
  org.apache.tools.ant.types.selectors.SelectorContainer

public class JUnitTestReportAggregator
extends org.apache.tools.ant.taskdefs.MatchingTask

This task aggregate JUnit reports by creating an index.html page referencing existing JUnit reports. In addition it computes statistics of these sub JUnit reports.

Author:
  P.Dechamboux, S.Chassande-Barrioz

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JUnitTestReportAggregator()`

Method Summary
`void` | `execute()` execute method of the Ant task
`java.lang.String` | `getcommonTest()`
`void` | `setcommonTest(java.lang.String commonTest)`
`void` | `setdestdir(java.io.File d)` It assigns the directory name where the report files are going to be produced.
`void` | `setsrcdir(java.io.File d)` It assigns the directory name where the include and exclude clause has been based.

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitTestReportAggregator

    public JUnitTestReportAggregator()

Method Detail

### setsrcdir

    public void setsrcdir(java.io.File d)

  It assigns the directory name where the include and exclude clause has been based. (REQUIRED)

### setdestdir

    public void setdestdir(java.io.File d)

  It assigns the directory name where the report files are going to be produced. Default value is the srcdir

  See Also:
    `#srcdir`

### getcommonTest

    public java.lang.String getcommonTest()

### setcommonTest

    public void setcommonTest(java.lang.String commonTest)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  execute method of the Ant task

  Throws:
    `org.apache.tools.ant.BuildException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD